# Open orders

## Get open orders

> Get open orders for the authenticated user with pagination. Quantities are returned in human-readable format adjusted for token decimals.

```json
{"openapi":"3.1.1","info":{"title":"Espresso API Server","version":"1.0"},"security":[{"ApiKeyAuth":[]}],"paths":{"/accounts/open-orders":{"get":{"description":"Get open orders for the authenticated user with pagination. Quantities are returned in human-readable format adjusted for token decimals.","tags":["accounts"],"summary":"Get open orders","parameters":[{"schema":{"type":"string"},"description":"API Key","name":"X-API-KEY","in":"header","required":true},{"schema":{"type":"string"},"description":"Trading pair symbol","name":"symbol","in":"query","required":true},{"schema":{"type":"integer"},"description":"Page number for pagination, default is 1","name":"page","in":"query"},{"schema":{"type":"integer"},"description":"Limit number of records per page, default is 10","name":"limit","in":"query"}],"responses":{"200":{"description":"Paginated open orders with decimal-adjusted quantities","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.PaginatedResponse-espresso_internal_api_response_OrderResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/espresso_internal_api_response.ErrorJSONWithCodeResponse"}}}}}}}},"components":{"schemas":{"espresso_internal_api_response.PaginatedResponse-espresso_internal_api_response_OrderResponse":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/espresso_internal_api_response.OrderResponse"}},"total_count":{"type":"integer"},"total_page":{"type":"integer"}}},"espresso_internal_api_response.OrderResponse":{"type":"object","properties":{"account_id":{"type":"string"},"active_order_utxo_id":{"type":"string"},"base_qty":{"type":"string"},"commission":{"type":"string"},"commission_rate_bp":{"type":"integer"},"commission_unit":{"type":"string"},"created_at":{"type":"string"},"executed_base_qty":{"type":"string"},"executed_price":{"type":"string"},"executed_quote_qty":{"type":"string"},"id":{"type":"string"},"locked_base_qty":{"type":"string"},"locked_quote_qty":{"type":"string"},"market_order_limit_price":{"type":"string"},"ob_open_order_base_qty":{"type":"string"},"order_execution_records":{"type":"array","items":{"$ref":"#/components/schemas/espresso_internal_api_response.OrderExecutionRecordResponse"}},"price":{"type":"string"},"quote_qty":{"type":"string"},"side":{"allOf":[{"$ref":"#/components/schemas/schema.OrderSide"}]},"slippage_bp":{"type":"integer"},"status":{"allOf":[{"$ref":"#/components/schemas/schema.OrderStatus"}]},"symbol":{"type":"string"},"type":{"allOf":[{"$ref":"#/components/schemas/schema.OrderType"}]},"updated_at":{"type":"string"}}},"espresso_internal_api_response.OrderExecutionRecordResponse":{"type":"object","properties":{"account_id":{"type":"string"},"commission":{"type":"string"},"commission_unit":{"type":"string"},"counter_party_order_id":{"type":"string"},"created_at":{"type":"string"},"execution_price":{"type":"string"},"filled_base_qty":{"type":"string"},"filled_quote_qty":{"type":"string"},"id":{"type":"string"},"order_id":{"type":"string"},"role":{"allOf":[{"$ref":"#/components/schemas/schema.OrderExecutionRole"}]}}},"schema.OrderExecutionRole":{"type":"string","enum":["maker","taker"]},"schema.OrderSide":{"type":"string","enum":["buy","sell"]},"schema.OrderStatus":{"type":"string","enum":["building","processing","open","closed","failed","cancelled"]},"schema.OrderType":{"type":"string","enum":["market","limit"]},"espresso_internal_api_response.ErrorJSONWithCodeResponse":{"type":"object","properties":{"code":{"type":"integer"},"error":{"type":"string"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltadefi.io/start-trading/developers/api-documentation/account/order-records-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
